Bug 1279431 - enable vdsm taskset pinning by default
enable vdsm taskset pinning by default
Status: CLOSED CURRENTRELEASE
Product: vdsm
Classification: oVirt
Component: General (Show other bugs)
4.17.11
Unspecified Unspecified
high Severity high (vote)
: ovirt-3.6.2
: 4.17.14
Assigned To: Francesco Romani
Gil Klein
:
Depends On:
Blocks: 1247075
  Show dependency treegraph
 
Reported: 2015-11-09 08:00 EST by Michal Skrivanek
Modified: 2018-04-24 02:55 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Vdsm cpu pinning is now enabled by default. Vdsm uses the second available CPU in the system, to reduce the traffic on the first one which is often used as default one by other system tasks.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:21:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michal.skrivanek: ovirt‑3.6.z?
michal.skrivanek: planning_ack?
michal.skrivanek: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2116711 None None None 2016-01-27 13:06 EST
oVirt gerrit 48296 master MERGED daemon: enable cpu affinity by default Never
oVirt gerrit 48619 master MERGED daemon: ignore cpu affinity on single processor Never
oVirt gerrit 48786 ovirt-3.6 MERGED lib: taskset: commands should run on all cpus Never
oVirt gerrit 48787 ovirt-3.6 MERGED daemon: enable cpu affinity by default Never
oVirt gerrit 48961 ovirt-3.6 MERGED daemon: ignore cpu affinity on single processor Never
oVirt gerrit 49402 master MERGED lib: daemon: autodetect online cpus for affinity Never
oVirt gerrit 49562 master MERGED daemon: keep running without affinity. Never
oVirt gerrit 49612 ovirt-3.6 MERGED lib: daemon: autodetect online cpus for affinity Never
oVirt gerrit 49613 ovirt-3.6 MERGED daemon: reformat __set_cpu_affinity Never
oVirt gerrit 49614 ovirt-3.6 MERGED daemon: keep running without affinity. Never

  None (edit)
Description Michal Skrivanek 2015-11-09 08:00:52 EST
In bug 1247075 we introduced a new cpu_affinity option to pin vdsm threads to a limited number of physical cores to solve a GIL contention on thread scheduling

Testing didn't show any adverse effects, only benefits (improvement is proportional to the size of the host and number of VMs it's running)

Let's enable it by default
Comment 1 Dan Kenigsberg 2015-11-11 04:33:21 EST
using 'taskset 0' pins Vdsm to the first CPU, which is usually a bit more busy than others. Using 'taskset 1' assume that the host has at least two CPUs. That's true in every real-life scenario. Gil, is it also correct on all QE setups, where virtual hosts are sometime used?
Comment 2 Francesco Romani 2015-11-18 12:01:34 EST
Please note that http://gerrit.ovirt.org/48619 should take care of this uncommon -but important- cases.
Comment 3 Francesco Romani 2015-11-23 06:40:16 EST
now really MODIFIED, all patches merged on branch 3.6
Comment 4 Sandro Bonazzola 2015-11-24 11:43:43 EST
Please set target release or I can't move the bug to ON_QA automatically.
Comment 5 Red Hat Bugzilla Rules Engine 2015-11-24 13:09:06 EST
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.
Comment 6 Nir Soffer 2015-11-30 14:30:20 EST
Should move this to next build.
Comment 7 Michal Skrivanek 2015-12-01 02:16:05 EST
patch reverted in build 23 onwards, solution moved to 3.6.2
Comment 8 Gil Klein 2016-01-27 05:33:54 EST
# rpm -qi vdsm
Name        : vdsm
Version     : 4.17.18
Release     : 0.el7ev
Architecture: noarch
Install Date: Wed 20 Jan 2016 06:30:30 PM UTC
Group       : Applications/System
Size        : 3802272
License     : GPLv2+
Signature   : RSA/SHA256, Wed 20 Jan 2016 05:31:13 PM UTC, Key ID 938a80caf21541eb
Source RPM  : vdsm-4.17.18-0.el7ev.src.rpm
Build Date  : Tue 19 Jan 2016 12:34:08 PM UTC
Build Host  : x86-017.build.eng.bos.redhat.com
Relocations : (not relocatable)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Vendor      : Red Hat, Inc.
URL         : http://www.ovirt.org/wiki/Vdsm
Summary     : Virtual Desktop Server Manager

# grep affinity /var/log/vdsm/vdsm.log 
MainThread::INFO::2016-01-27 09:47:12,758::vdsm::282::vds::(__set_cpu_affinity) VDSM will run with cpu affinity: frozenset([1])

Note You need to log in before you can comment on or make changes to this bug.